summaryrefslogtreecommitdiffstats
path: root/bin/housekeeping.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-10-20 13:05:54 +0200
committerHolger Levsen <holger@layer-acht.org>2012-10-20 13:05:54 +0200
commit19a1f850bfb586d9ac9718f80ea1bc2bd8941b3e (patch)
tree4ab329f92065c4a60c913fd5f7d047d5c29fac75 /bin/housekeeping.sh
downloadjenkins.debian.net-19a1f850bfb586d9ac9718f80ea1bc2bd8941b3e.tar.xz
initial version of chroot_tester and TODO file
Diffstat (limited to 'bin/housekeeping.sh')
-rwxr-xr-xbin/housekeeping.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/bin/housekeeping.sh b/bin/housekeeping.sh
new file mode 100755
index 00000000..e8655e21
--- /dev/null
+++ b/bin/housekeeping.sh
@@ -0,0 +1,21 @@
+#/bin/bash
+
+echo
+uptime
+echo
+df -h
+echo
+
+HOUSE=$(ls /chroots/)
+if [ "$HOUSE" != "" ] ; then
+ figlet "Warning:"
+ echo
+ echo "Probably manual cleanup needed:"
+ echo
+ echo "$ ls -la /chroots/"
+ ls -la /chroots/
+ exit 1
+fi
+
+echo "No problems found, all seems good."
+figlet "Ok."